summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO15
-rw-r--r--.gitignore0
-rw-r--r--PKGBUILD47
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..176d01c38e7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = mipsel-linux-gcc3
+ pkgdesc = mipsel-linux GNU (cross) Compiler Collection
+ pkgver = 3.3.4
+ pkgrel = 1
+ url = http://www.gnu.org/software/gcc/
+ depends = glibc
+ depends = mipsel-linux-binutils
+ provides = mipsel-linux-gcc3
+ conflicts = mipsel-linux-gcc3-initial
+ options = NOSTRIP
+ source = ftp://ftp.gnu.org/gnu/gcc/gcc-3.3.4/gcc-3.3.4.tar.bz2
+ md5sums = a1c267b34f05c8660b24251865614d8b
+
+pkgname = mipsel-linux-gcc3
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..e69de29bb2d
--- /dev/null
+++ b/.gitignore
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a9e8588ef7e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Contributor: Olivier Mehani <olivier.mehani@inria.fr>
+
+_archivename=gcc
+_target=mipsel-linux
+pkgname=$_target-${_archivename}3
+pkgver=3.3.4
+pkgrel=1
+pkgdesc="mipsel-linux GNU (cross) Compiler Collection"
+url="http://www.gnu.org/software/$_archivename/"
+provides=($_target-gcc3)
+conflicts=($_target-gcc3-initial)
+depends=(glibc $_target-binutils)
+source=(ftp://ftp.gnu.org/gnu/$_archivename/$_archivename-$pkgver/$_archivename-$pkgver.tar.bz2)
+md5sums=('a1c267b34f05c8660b24251865614d8b')
+options=(NOSTRIP)
+
+build() {
+ cd $startdir/src/$_archivename-$pkgver
+ # Don't install libiberty
+ #sed -i '/install_to_$(INSTALL_DEST)/d' libiberty/Makefile.in
+
+ mkdir -p $startdir/src/$_archivename-build
+ cd $startdir/src/$_archivename-build
+
+ export CFLAGS="-O2"
+ export CXXFLAGS="-O2"
+
+ $startdir/src/$_archivename-$pkgver/configure --target=$_target \
+ --prefix=/usr --with-gnu-as --with-gnu-ld \
+ --enable-languages=c,c++ \
+ --disable-nls --enable-threads || return 1
+ make || return 2
+ make DESTDIR=$startdir/pkg install || return 3
+
+ mkdir -p $startdir/pkg/usr/$_target/bin/
+ for FILE in $startdir/pkg/usr/bin/$_target-*; do
+ ln -s ${FILE/*\//\/usr\/bin\/} \
+ $startdir/pkg/usr/$_target/bin/${FILE/*$_target-/}
+ done
+ for MANPAGE in cpp gcov; do
+ mv $startdir/pkg/usr/man/man1/${MANPAGE}.1 \
+ $startdir/pkg/usr/man/man1/$_target-${MANPAGE}.1
+ done
+ # already present in the system
+ rm -rf $startdir/pkg/usr/man/man7/
+ rm -rf $startdir/pkg/usr/lib/libiberty.a
+}